open(R,"<$ARGV[0].eep") || die "Can't open $ARGV[0].rom" ;
open(EEPIC,">$ARGV[0].ep") || die "Can't open $ARGV[0].ep" ;
open(SEEPROM,">$ARGV[0].el") || die "Can't open $ARGV[0].el" ;
binmode(SEEPROM) ;
$in_seeprom = 0 ;
while (<R>)  {
    (@x) = split(/:/) ;
    $addr = hex($x[0]) ;    # address
    if (!$in_seeprom)  {
        if ($addr < 512)  { # pic EEPROM
            print EEPIC ;
        }
        elsif ($addr > 512)  {  # just jumped into SEEPROM
            print SEEPROM pack("S",$addr) ;
            $in_seeprom = 1 ;
        }
    }
    if ($in_seeprom)  {
        print SEEPROM pack("C",hex($x[1])) ;
    }
}
close(R) ;
close(EEPIC) ;
close(SEEPROM) ;
