@if not exist echo echo off
rem usage: PWNETLD project

if not X%1 == X goto parm_ok1
echo please supply project file name as first parameter!
echo usage: PWNETLD project
goto abort
:parm_ok1

if exist %1.dat goto parm_ok2
echo can't find HTML/images file %1.dat!
goto abort
:parm_ok2

if exist %1.el goto parm_ok3
echo can't find CGI pcode file %1.el!
goto abort
:parm_ok3

if not X%PWDEV% == X goto env_ok
echo environment variable PWDEV not set!
goto oops
:env_ok

if exist %PWDEV%\bin\nul goto path_ok
echo can't find PicoWeb binary directory %PWDEV%\bin!
goto oops
:path_ok

rem %PWDEV%\bin\perl %PWDEV%\bin\pingchk.pl @ip
rem IF ERRORLEVEL 1 goto abort

echo.Setting 8515 EEPROM 1FF to FF.
%PWDEV%\bin\perl %PWDEV%\bin\netprog.pl @ip -port 612 1ff ff
IF ERRORLEVEL 1 goto abort

echo Loading PicoWeb CGI pcode into EEPROM via network
%PWDEV%\bin\perl %PWDEV%\bin\netprog.pl @ip %1.el
IF ERRORLEVEL 1 goto abort

echo Loading PicoWeb HTML/images into EEPROM via network
%PWDEV%\bin\perl %PWDEV%\bin\netprog.pl @ip %1.dat
IF ERRORLEVEL 1 goto abort

echo.Resetting 8515 EEPROM 1FF to 0.
%PWDEV%\bin\perl %PWDEV%\bin\netprog.pl @ip -port 612 1ff 00
IF ERRORLEVEL 1 goto abort

if exist img.tmp del img.tmp

echo PicoWeb network load complete.
goto done

:abort
echo Load aborted!
:done
